Subject: Re: bug#66435: 30.0.50; Eglot no longer log status in minibuffer

From: Stefan Kangas <[email-masked]>
Date: Sun, 21 Jan 2024 04:15:31 -0600

tags 66435 + notabug
thanks

João Távora <[email-masked]> writes:

> On Wed, Jan 10, 2024, 18:09 Stefan Kangas <[email-masked]> wrote:
>
>> Jacky Li <[email-masked]> writes:
>>
>> > When I compile and use the master branch of Emacs, Eglot no longer shows
>> > its status in the minibuffer.
>> >
>> > It used to show some information in 29.1 when opening a file in a new
>> > project, which bootstrap the lsp server. After I downgraded to 29.1, the
>> > log reappears.
>> >
>> > I am not sure what change in version 30 is causing the problem. I am not
>> > sure whether this is intended or not.
>>
>> João, any comments?
>>
>
> If by "status", Jackie is talking about progress indication, then this NEWS
> entry pertaining to 1.14 might be relevant:
>
> ** Progress indicators inhabit the mode-line by default
>
> To switch to the echo area, customize 'eglot-report-progress' to
> 'messages'.  To switch off progress reporting completely, set to nil.
>
> This was requested by many users who saw their echo area spammed in some
> servers. In e new version, the messages can be read by hovering over the
> percentage indication in the mode-line.

It sounds like this is the intended behavior, so I'm closing this bug
report.